%define FCLIPDIR %_libdir/clip
%define VCLIPDIR %_localstatedir/clip

Name: libclip
Version: 1.1.14
Release: alt2

Summary: XBASE/Clipper compatible program compiler - runtime library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  

License: GPL
Group: Development/Other
Url: http://www.itk.ru

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
#Source10: %name-%version-2005-02-03.tar.bz2
#Patch: %name-%version.patch

%set_verify_elf_method textrel=relaxed
%add_findprov_lib_path %FCLIPDIR/lib

# manually removed: libclip-common libclip-gtk libclip-gtk2 libclip-ui
# Automatically added by buildreq on Thu Feb 03 2005
BuildRequires: bzlib-devel clip freetype2-devel gdk-pixbuf-devel glib-devel glib2-devel gtk+-devel libMySQL-devel libatk-devel libclip-devel  libgpm-devel libgtk+2-devel libgtk+extra-devel libjpeg-devel libpango-devel libpng-devel libpq-devel libssl-devel libunixODBC-devel pkgconfig postgresql-devel xorg-x11-devel xorg-x11-libs zlib-devel

BuildPreReq: clip = %version

%description
This package provides runtime shared libraries for CLIP package

%description -l ru_RU.KOI8-R
      
 CLIP

############################################################################
%package -n %name-all
Summary: XBASE/Clipper compatible program compiler - all additional library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --   
Group: Development/Other

#Requires: %name-ui
Requires: %name-common = %version-%release
Requires: %name-gd = %version-%release
Requires: %name-gtk = %version-%release
Requires: %name-gtk2 = %version-%release
#Requires: %name-interbase = %version-%release
Requires: %name-mysql = %version-%release
Requires: %name-odbc = %version-%release
Requires: %name-postgres = %version-%release

%description -n %name-all
This virtual package provides all runtime shared libraries for CLIP package
%name-common
%name-gtk
%name-gtk
%name-gtk2
- %name-interbase
%name-mysql
%name-odbc
%name-postgres

%description -n %name-all -l ru_RU.KOI8-R
    ӣ    
 CLIP.
%name-common
%name-gd
%name-gtk
%name-gtk2
- %name-interbase
%name-mysql
%name-odbc
%name-postgres

############################################################################
%package -n %name-common
Summary: XBASE/Clipper compatible program compiler - common library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  
Group: Development/Other

Requires: %name >= %version

%description -n %name-common
This package provides common runtime shared libraries for CLIP

%description -n %name-common -l ru_RU.KOI8-R
       
 CLIP.

############################################################################
%package -n %name-gtk
Summary: XBASE/Clipper compatible program compiler - gtk library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  gtk
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-gtk
This package provides gtk runtime shared libraries for CLIP

%description -n %name-gtk -l ru_RU.KOI8-R
        gtk  CLIP.

############################################################################
%package -n %name-gd
Summary: XBASE/Clipper compatible program compiler - gd library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  gd
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-gd
This package provides gd runtime shared libraries for CLIP

%description -n %name-gd -l ru_RU.KOI8-R
        gd  CLIP.

############################################################################
%package -n %name-gtk2
Summary: XBASE/Clipper compatible program compiler - gtk2 library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  gtk2
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-gtk2
This package provides gtk2 runtime shared libraries for CLIP

%description -n %name-gtk2 -l ru_RU.KOI8-R
        gtk2  CLIP.

############################################################################
%package -n %name-ui
Summary: XBASE/Clipper compatible program compiler - ui library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  ui
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-ui
This package provides ui runtime shared libraries for CLIP

%description -n %name-ui -l ru_RU.KOI8-R
       ui  CLIP.

############################################################################
%package -n %name-interbase
Summary: XBASE/Clipper compatible program compiler - library for database Interbase
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --     Interbase
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-interbase
This package provides library for using database Interbase in CLIP.

%description -n %name-interbase -l ru_RU.KOI8-R
        Interbase  CLIP.

############################################################################
%package -n %name-mysql
Summary: XBASE/Clipper compatible program compiler - library for database MySQL
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --     MySQL
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-mysql
This package provides library for using database MySQL in CLIP.

%description -n %name-mysql -l ru_RU.KOI8-R
        MySQL  CLIP.

############################################################################
%package -n %name-odbc
Summary: XBASE/Clipper compatible program compiler - library for ODBC
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --   ODBC
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-odbc
This package provides library for using ODBC in CLIP.

%description -n %name-odbc -l ru_RU.KOI8-R
         ODBC  CLIP.

############################################################################
%package -n %name-postgres
Summary: XBASE/Clipper compatible program compiler - library for database Postgre
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --     Postgre
Group: Development/Other

Requires: %name-common = %version-%release

%description -n %name-postgres
This package provides library for using database Postgre in CLIP.

%description -n %name-postgres -l ru_RU.KOI8-R
        Postgre  CLIP.

############################################################################

%prep
%setup -q
#tar xfj %SOURCE10
#%patch

%build
export CLIP_LOCALE_ROOT=`pwd`
#%__subst "s/mkdir/#mkdir/" clip-gtk/Makefile.in
#%__subst "s/cp example/#cp example/g" clip-gtk/Makefile.in
%__subst "s/ rm_include / /g" clip-cti/Makefile
make CLIPROOT=%FCLIPDIR

%install
%__mkdir -p $RPM_BUILD_ROOT/%FCLIPDIR/{include,etc,cliprc,lib}
make install DESTDIR=$RPM_BUILD_ROOT CLIPROOT=%FCLIPDIR
%__mkdir -p $RPM_BUILD_ROOT/%VCLIPDIR
%__cp -rf locale.pot $RPM_BUILD_ROOT/%VCLIPDIR/

# fix broken installer in source
mkdir -p $RPM_BUILD_ROOT/%_docdir
mv $RPM_BUILD_ROOT/%FCLIPDIR/doc $RPM_BUILD_ROOT/%_docdir/%name-%version

%post -n %name-common -p %post_ldconfig
%postun -n %name-common -p %postun_ldconfig

%post -n %name-gd -p %post_ldconfig
%postun -n %name-gd -p %postun_ldconfig

%post -n %name-gtk -p %post_ldconfig
%postun -n %name-gtk -p %postun_ldconfig

%post -n %name-gtk2 -p %post_ldconfig
%postun -n %name-gtk2 -p %postun_ldconfig

%post -n %name-ui -p %post_ldconfig
%postun -n %name-ui -p %postun_ldconfig

%post -n %name-interbase -p %post_ldconfig
%postun -n %name-interbase -p %postun_ldconfig

%post -n %name-mysql -p %post_ldconfig
%postun -n %name-mysql -p %postun_ldconfig

%post -n %name-odbc -p %post_ldconfig
%postun -n %name-odbc -p %postun_ldconfig

%post -n %name-postgres -p %post_ldconfig
%postun -n %name-postgres -p %postun_ldconfig


%files -n %name-all

%files -n %name-gd
%_docdir/%name-%version/clip-gd
%_docdir/%name-%version/example/clip-gd
%FCLIPDIR/include/gd*
%FCLIPDIR/lib/%name-gd.so
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-gd

%files -n %name-gtk
%_docdir/%name-%version/example/clip-gtkextra
%FCLIPDIR/include/clip-gtk*
%config %FCLIPDIR/cliprc/clip-gtk.cliprc
%FCLIPDIR/lib/%name-gtk.so
%FCLIPDIR/lib/%name-gtkextra.so
%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-gtk

%files -n %name-gtk2
%_docdir/%name-%version/example/clip-gtk2
%FCLIPDIR/include/*gtk2*
%config %FCLIPDIR/cliprc/clip-gtk2.cliprc
%FCLIPDIR/lib/%name-gtk2.so
%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-gtk2

%files -n %name-ui
%_docdir/%name-%version/example/clip-ui
%FCLIPDIR/include/clip-ui*
#%config %FCLIPDIR/cliprc/clip-gtk2.cliprc
%FCLIPDIR/lib/%name-ui.so
%FCLIPDIR/lib/drivers
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-ui

%define build_interbase 0
%if %build_interbase
%files -n %name-interbase
%_docdir/%name-%version/clip-interbase
%_docdir/%name-%version/example/clip-interbase
%FCLIPDIR/include/interbase*
%FCLIPDIR/lib/%name-interbase.so
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-interbase
%endif

%files -n %name-mysql
%_docdir/%name-%version/clip-mysql
%_docdir/%name-%version/example/clip-mysql
%FCLIPDIR/include/mysql*
%FCLIPDIR/lib/%name-mysql.so
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-mysql

%files -n %name-odbc
#%_docdir/%name-%version/example/clip-odbc
#%FCLIPDIR/include/clip-odbc
%FCLIPDIR/lib/%name-odbc.so
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-odbc

%files -n %name-postgres
%_docdir/%name-%version/clip-postgres
%_docdir/%name-%version/example/clip-postgres
%FCLIPDIR/include/postgres*
%FCLIPDIR/lib/%name-postgres.so
#%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-postgres

%files -n %name-common
%docdir %_docdir/%name-%version
%_docdir/%name-%version/clip-com
%_docdir/%name-%version/example/clip-fw
%_docdir/%name-%version/example/clip-gzip
%_docdir/%name-%version/example/clip-bzip2
%_docdir/%name-%version/example/clip-com
%_docdir/%name-%version/example/clip-crypto
%_docdir/%name-%version/example/clip-cti
%_docdir/%name-%version/example/clip-rtf
%FCLIPDIR/include/fwin
%FCLIPDIR/include/cti
%FCLIPDIR/include/cti.ch
%FCLIPDIR/include/nanfor
%FCLIPDIR/include/netto
%FCLIPDIR/include/object*
%FCLIPDIR/include/rich*
%FCLIPDIR/include/bg*
%FCLIPDIR/include/r2d2*
%FCLIPDIR/etc/.calendar
%FCLIPDIR/lib/libclip-bzip2.so
%FCLIPDIR/lib/libclip-com.so
%FCLIPDIR/lib/libclip-crypto.so
%FCLIPDIR/lib/libclip-fw.so
%FCLIPDIR/lib/libclip-cti.so
%FCLIPDIR/lib/libclip-gzip.so
%FCLIPDIR/lib/libclip-nanfor.so
%FCLIPDIR/lib/libclip-netto.so
%FCLIPDIR/lib/libclip-rtf.so
%FCLIPDIR/lib/libclip-r2d2.so
#%config %FCLIPDIR/cliprc/*
%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-fw
%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-cti
%attr(0664, root, clip) %VCLIPDIR/locale.pot/clip-r2d2
%exclude %FCLIPDIR/lib/*.a

%changelog
* Fri May 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.14-alt2
- fix libpq-devel build require

* Fri Apr 08 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.14-alt1.1
- fix build req for clip

* Mon Mar 07 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.14-alt1
- new version

* Thu Feb 03 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.13-alt2
- last patch (03.02.2005) with clip-ui

* Sun Dec 19 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.13-alt1
- new version

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.12-alt1
- new version + last patches (07.12.2004)

* Sat Sep 18 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.11-alt0.1
- new version
- really use post(un)_ldconfig macro

* Mon Jul 19 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.10-alt2
- do not require -interbase now in libclip-all
- apply last patches (19.07.04)

* Mon Jun 21 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.10-alt1
- new version
- apply last patches (21.06.04)
- use a macro for ldconfig

* Tue Apr 06 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.9-alt0.2
- release to Sisyphus

* Fri Feb 27 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.9-alt0.1
- new version
- split in to different packages

* Fri Feb 20 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.8-alt0.1
- first build for Sisyphus
